@import 'variables.scss';

.content {
	background: $lilac;
	padding: 30px 45px 30px 345px;
	flex: 1;
	overflow: auto;

	&-list {
		display: flex;
		flex-wrap: wrap;
		gap: 40px;
		user-select: none;

		&-li {
			min-width: 270px;
			max-width: 270px;
			min-height: 170px;
			position: relative;
			display: flex;
			align-items: center;
			justify-content: center;
			background-color: $athensGray;
			color: rgba(0, 0, 0, 0.2);
			font-weight: bold;
			border-radius: 9px;
			font-size: 40px;
			line-height: 54px;
			border: 1px solid $athensGray;
			transition: all 0.5s ease;
			overflow: hidden;

			&::after {
				position: absolute;
				content: '';
				left: 0;
				top: 0;
				height: 100%;
				width: 100%;
				background-color: $athensGray;
				z-index: 2;
			}

			&-text {
				position: relative;
				z-index: 3;
			}

			&-ghost {
				position: absolute;
				left: 50%;
				top: 50%;
				background: $athensGray;
				transform: translate(-50%, -50%);
				border: 1px solid $purple;
				border-radius: 5px;
				width: 162px;
				height: 102px;
				z-index: 1;

				&-count {
					position: absolute;
					display: flex;
					align-items: center;
					justify-content: center;
					left: -15px;
					top: -15px;
					background: $purple;
					width: 30px;
					height: 30px;
					font-size: 12px;
					line-height: 16px;
					border-radius: 50%;
					color: $white;
					z-index: 2;
				}

				&::after {
					position: absolute;
					content: '';
					background: $athensGray;
					left: -5px;
					top: -5px;
					width: 100%;
					height: 100%;
					border: 0.6px solid $purple;
					border-radius: 5px;
				}
			}

			&-checkbox {
				position: absolute;
				content: '';
				top: 10px;
				right: 10px;
				border-radius: 50%;
				width: 24px;
				height: 24px;
				border: 1px solid $silver;
				transition: all 0.5s ease;
				z-index: 3;
			}

			&:hover {
				.content-list-li-checkbox {
					background-color: $silver;
				}
			}

			&[checked='true'] {
				border-color: $purple;
				cursor: move;

				.content-list-li-checkbox {
					background-color: $silver;
				}
			}
		}
	}
}
